<?php
/*
Plugin Name: First Timer
Plugin URI: http://pimteam.net/firsttimer-wordpress-plugin/
Description: This plugin checks a cookie on your visitor's PC and identifies if the visitor comes for the first time. If yes, it displays some text and image, usually encouraging the visitor to subscribe or read some introductory posts
Author: Bobby Handzhiev
Version: 1.0
Author URI: http://pimteam.net/
*/ 

function firstimer_add_page()
{
	add_submenu_page('plugins.php', 'FirstTimer Configuration', 'FirstTimer Configuration', 8, __FILE__, 'firstimer_options');
}

// firstimer_options() displays the page content for the FirstTimer Options submenu
function firstimer_options() 
{
    // variables for the field and option names 
    $opt_name = 'firstimer_welcometext';
    $hidden_field_name = 'firstimer_hidden';
    $data_field_name = 'firstimer_welcome';

    // Read in existing option value from database
    $opt_val = stripslashes( get_option( $opt_name ) );

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( $_POST[ $hidden_field_name ] == 'Y' ) {
        // Read their posted value
        $opt_val = $_POST[ $data_field_name ];

        // Save the posted value in the database
        update_option( $opt_name, $opt_val );

        // Put an options updated message on the screen

		?>
		<div class="updated"><p><strong><?php _e('Options saved.', 'firstimer_domain' ); ?></strong></p></div>
		<?php
		
		    }
		
		 // Now display the options editing screen
		    echo '<div class="wrap">';
		
		    // header
		    echo "<h2>" . __( 'FirstTimer Options', 'firstimer_domain' ) . "</h2>";
		
		    // options form
		    
		    ?>
		
		<form name="form1" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
		<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
		
		<p><?php _e("The welcome text for first time visitors:", 'firstimer_domain' ); ?> 
		<textarea name="<?php echo $data_field_name; ?>" rows='5' cols='70'><?php echo stripslashes ($opt_val); ?></textarea>
		</p><hr />
		
		<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('Update Options', 'firstimer_domain' ) ?>" />
		</p>
		
		</form>
		</div>
		
	<?php
 
}

// This just echoes the text
function firstimer_echo() 
{
	if(!empty($_COOKIE['visited'])) return false;
	
	if ( !is_feed())
	{
		$content .= stripslashes( get_option( 'firstimer_welcometext' ) );
	}
	
	echo $content;
}

function firstimer_cookie()
{
	if(empty($_COOKIE['visited']))  setcookie("visited","1",(time()+365*24*3600));
}

add_action('init','firstimer_cookie');
add_action('admin_menu','firstimer_add_page');

?>